Ho un Pc portatile Lenovo in cui è stata a suo tempo installata la versione ubuntu 18.10. Da molto tempo non riesco ad aggiornarla perché il sistema mi da errori e anche il mio rivenditore non ci è riuscito, attribuendo la causa a una incompatibilità fra l'hardware e Ubuntu. Recentemente il sistema operativo mi sta avvisando che sono a rischio e che dovrei installare Ubuntu 20.04. Ma se, dopo aver ricevuto un messaggio 'repository non riuscito. Controllare la propria connessione a Internet' (che fuziona!), do il comando "aggiorna" ricevo il seguente messaggio: "An upgrade from 'cosmic' to 'focal'is not supported with the tool'". Nel frattempo il Pc mi sta dando grossi problemi e si pianta spesso.

chiesto 28 Oct '20, 17:02

alioscia2904's gravatar image

alioscia2904
201


prova da terminale:
sudo apt update
sudo apt upgrade
sudo apt autoremove
poi fai reboot
e poi
do-release-upgrade

coll. permanente

ha risposto 28 Oct '20, 17:37

corradoventu's gravatar image

corradoventu
4951116

reverted 28 Oct '20, 17:39

Ho provato. Col primo comando ho avuto diverse cose non trovate o non caricabili. Col secondo, ovviamente aggiornamenti 0 col terzo indem. Dopo il remove hol lanciato l'ultimo comando con il seguente risultato

do-release-upgrade

Verifica un nuovo rilascio di ubuntu

Il rilascio di Ubuntu in uso non è più supportato.

ERROR:root:incorrect translation for message 'For upgrade information, please visit: %(url)s

' to 'Per informazioni sull'avanzamento consultare: $(url)s

' (wrong number of arguments)

For upgrade information, please visit: http://www.ubuntu.com/releaseendoflife

Scaricamento di:1 Firma dello strumento di avanzamento versione [1.554 B]

Scaricamento di:2 Strumento di avanzamento versione [1.336 kB]

Recuperati 1.338 kB in 0s (0 B/s)

autenticazione di «focal.tar.gz» con «focal.tar.gz.gpg»

estrazione di «focal.tar.gz»

[sudo] password di ascanio:

Lettura della cache

Controllo gestore dei pacchetti

Impossibile eseguire l'avanzamento

An upgrade from 'cosmic' to 'focal' is not supported with this tool.

Grazie comunque per il cortese tentativo

coll. permanente
Questa risposta è segnata come "wiki".

ha risposto 28 Oct '20, 18:32

alioscia2904's gravatar image

alioscia2904
201

modificato 28 Oct '20, 19:09

ah quindi vengono ancora fuori problemi di questo tipo? beh un consiglio spassionato e certamente ovvio che ti do (nel senso che ci avrai sicuramente già pensato) è che se possibile è sempre meglio installare tutto da capo. anche io anni fa facevo gli avanzamenti e avevo puntualmente dei problemi... fino a che mi sono rotto, e se voglio fare l'upgrade installo da capo e basta

coll. permanente

ha risposto 29 Oct '20, 21:50

franzliszt's gravatar image

franzliszt
101

La tua risposta
abilita/disabilita anteprima

Segui questa domanda

Via email:

Una volta eseguito l'accesso potrai iscriverti a tutti gli aggiornamenti qui

Via RSS:

Risposte

Risposte e commenti

Basi di markdown

  • *corsivo* o __corsivo__
  • **grassetto** o __grassetto__
  • collegamento:[testo](http://url.com/ "titolo")
  • immagine?![alt testo](/path/img.jpg "titolo")
  • elenco numerato: 1. Foo 2. Bar
  • per aggiungere un'interruzione di riga, aggiungi due spazi a fine riga e premi «Invio»
  • è supportato anche semplice HTML

Tag:

×113
×40

domanda posta: 28 Oct '20, 17:02

domanda visualizzata: 148 volte

ultimo aggiornamento: 29 Oct '20, 21:50

Chiedi è un servizio di supporto gestito da Ubuntu-it. Contattaci!

powered by OSQAPostgreSQL database
Ubuntu e Canonical sono marchi registrati da Canonical Ltd.